﻿using FlowerShopDataModels.Models;
using System.ComponentModel;

namespace FlowerShopContracts.ViewModels
{
    public class FlowerViewModel : IFlowerModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string FlowerName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> FlowerComponents
        {
            get;
            set;
        } = new();

    }
}
