﻿namespace FlowerShopDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        string Address { get; }
        Dictionary<int, (IFlowerModel, int)> ShopFlowers { get; }
        DateTime DateOpening { get; }
        int MaximumFlowers { get; }
    }
}